Problema al Compilar, libxfconf-0 was not found on your system

Imagen de Art2
0 puntos

Hola a todos,

Estoy tratando de copilar el libxfce4ui porque quiero instalar plugin indicador de Xfce y me lo pide de requisito. Cuando tecleo ./configure obtengo esto al final:
*** The required package libxfconf-0 was not found on your system.
*** Please install libxfconf-0 (atleast version 4.8.0) or adjust
*** the PKG_CONFIG_PATH environment variable if you
*** installed the package in a nonstandard prefix so that
*** pkg-config is able to find it.

Por lo que veo no lo encuentra porque lo busque en sypnatic y marca ya instalado y al dar locate libxfconf-0 me da estas direcciones:
/usr/lib/i386-linux-gnu/libxfconf-0.so.2
/usr/lib/i386-linux-gnu/libxfconf-0.so.2.0.0
/usr/share/doc/libxfconf-0-2
/usr/share/doc/libxfconf-0-2/changelog.Debian.gz
/usr/share/doc/libxfconf-0-2/copyright
/var/lib/dpkg/info/libxfconf-0-2.list
/var/lib/dpkg/info/libxfconf-0-2.md5sums
/var/lib/dpkg/info/libxfconf-0-2.postinst
/var/lib/dpkg/info/libxfconf-0-2.postrm
/var/lib/dpkg/info/libxfconf-0-2.shlibs
/var/lib/dpkg/info/libxfconf-0-2.symbols

Ya me habia topado con un problema así anteriormente y exportaba con
export PKG_CONFIG_PATH=(la ubicacción):$PKG_CONFIG_PATH

pero esta vez no me funciona o coloco la ruta equivocada o tengo el archivo equivocado (?)

Gracias de antemano

Imagen de Jose Luis 1320
+1
0
-1

*** The required package libxfconf-0 was not found on your system.
*** Please install libxfconf-0 (atleast version 4.8.0) or adjust
*** the PKG_CONFIG_PATH environment variable if you
*** installed the package in a nonstandard prefix so that
*** pkg-config is able to find it.

con aptitude show libxfconf-0 puedes ver la versión de lbxfconf-0 o en su caso tal vez quieras ejecutar ./configure de esta manera:

env PKG_CONFIG_PATH=/usr/ ./configure

+1
0
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de Goyo
+1
0
-1

¿Qué tiene de malo la forma fácil?
sudo apt-get install xfce-indicator-plugin
No entiendo la necesidad de tantas copilaciones.

+1
0
-1
Imagen de Art2
+1
-2
-1

creo que seria:
sudo apt-get install xfce4-indicator-plugin
E: No se pudo bloquear /var/lib/dpkg/lock - open (11: Recurso no disponible temporalmente)
E: No se pudo bloquear el directorio de administración (/var/lib/dpkg/), ¿quizás haya algún otro proceso utilizándolo?

Ya eso lo miré muy complicado, reinstale con sypantic y seguía sin ver el icono para acceder a los programas de mensajería (que creo que me conteste ya en mi mensaje anterior el porqué), así que me fui por lo manual.

+1
-2
-1
Imagen de Goyo
+1
0
-1

creo que seria:
sudo apt-get install xfce4-indicator-plugin

Sí, se me cayó el 4.

E: No se pudo bloquear /var/lib/dpkg/lock - open (11: Recurso no disponible temporalmente)
E: No se pudo bloquear el directorio de administración (/var/lib/dpkg/), ¿quizás haya algún otro proceso utilizándolo?

Quizás haya algún otro proceso utilizándolo. Debes cerrar primero synaptic, el centro de software o cualquier programa que tenga que ver con la instalación de paquetes.

Ya eso lo miré muy complicado, reinstale con sypantic y seguía sin ver el icono para acceder a los programas de mensajería (que creo que me conteste ya en mi mensaje anterior el porqué), así que me fui por lo manual.

No entiendo lo de la mirada complicada ni la reinstalación (¿de qué?) Si tu problema es que quieres ver el indicador de mensajería y no sabes cómo hacerlo pienso que eso es lo que deberías preguntar. Instala indicator-messages (sin copilarlo, por favor).

+1
0
-1
Imagen de Art2
+1
0
-1

Al hacer aptitude show libxfconf-0 dice que no puede encontrar el paquete, el único que pude encontrar a través de sypnatic y en packages.ubuntu.com es "libxfconf-0-2" que es el que tengo en la versión 4.10

Estuve investigando un poco más y al parecer no haré nada al reinstalar el plugin indicador de Xfce, me preguntaba el porque no mostraba el icono (el que es un sobre de carta) para acceder a Pidgin, Empathy o a Thunderbird ya que solo muestra el del control de volumen y conexiones a internet, Viendo otros escritorios note que tampoco lo tienen, al parecer en Xubuntu 13.04 no tiene ese detalle.

+1
0
-1
Imagen de Alcruz
+1
0
-1

Prueba con
sudo apt-get build-dep libxfce4ui
Esto te va a instalar todas las librerías y librerías de desarrollo necesarias para compilar libxfce4ui

+1
0
-1